#------------------------------------------------------------------------
# -*- mode: cmake -*-
#
# NOTE:
#   Must be called after including CPack
#------------------------------------------------------------------------
include(CMakeParseArguments)
function(ax_c_standard TARGET VERSION)
  #----------------------------------------------------------------------
  # Handle argument parsing
  #----------------------------------------------------------------------
  set( options
  )
  set( oneValueArgs
  )
  set( multiValueArgs
  )
  cmake_parse_arguments(ARG "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN} )
  #----------------------------------------------------------------------
  # See if this can be handled via property
  #----------------------------------------------------------------------
  get_property( STANDARD_PROP VARIABLE
  		PROPERTY C_STANDARD_REQUIRED DEFINED
  )
  if ( STANDARD_PROP )
    set_target_property( ${TARGET} C_STANDARD_REQUIRED ${VERSION} )
  else ( STANDARD_PROP )
    set_target_property( ${TARGET} COMPILE_FLAGS "--std=${VERSION}" )
  endif ( STANDARD_PROP )
endfunction(ax_c_standard)
