#------------------------------------------------------------------------
# -*- mode: cmake -*-
#
#------------------------------------------------------------------------
function( ax_pkg_config_configure pkgname )
  #----------------------------------------------------------------------
  # Handle argument parsing
  #----------------------------------------------------------------------
  set( options
  )
  set( oneValueArgs
  )
  set( multiValueArgs
  )
  cmake_parse_arguments(ARG "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN} )
  #----------------------------------------------------------------------
  #----------------------------------------------------------------------
  configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/${pkgname}.pc.in
                  ${CMAKE_CURRENT_BINARY_DIR}/${pkgname}.pc
		  @ONLY )
  configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/${pkgname}-uninstalled.pc.in
                  ${CMAKE_CURRENT_BINARY_DIR}/${pkgname}-uninstalled.pc
		  @ONLY )
  install( FILES ${CMAKE_CURRENT_BINARY_DIR}/${pkgname}.pc
  	   DESTINATION "${INSTALL_LIB_DIR}/pkgconfig"
	   COMPONENT Development
  )
  #----------------------------------------------------------------------
endfunction( ax_pkg_check_modules )
