Summary: VIRGO CSet library
Name: virgoApp-Frv
Version: 4.27.0
Release: 2%{?dist}
License: GNU General Public License Version 3
Source: virgoApp-Frv-4.27.0.tar.gz
URL: http://www.ego-gw.it
Packager: Edward Maros <ed.maros@ligo.org>
Group: Application/Scientific
Requires: libframe
Requires: fftw3
BuildRoot: %{buildroot}
Buildrequires: cmake
Buildrequires: libframe-devel
Buildrequires: fftw3-devel
Buildrequires: pkgconfig

%description
This is a collection of tools used by the LIGO scientific community

%package devel
Group: Development/Scientific
Summary: VIRGO library
%description devel
This provides the develpement files the VIRGO CSet library.
Requires: virgoApp-Frv

%prep
%setup -q

%build
%cmake .

%install
make install DESTDIR=%{buildroot}

%check
ctest -V %{?_smp_mflags}

%files
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed May 04 2016 Edward Maros <ed.maros@ligo.org> - 2.9.0
- Initial build.
